dsRC4Socket::dsRC4Socket(dsSocket* sock)
           : dsAsyncSocket(sock), fEncrypted(false)
{
    fSend.fX = 0;
    fSend.fY = 0;
    fRecv.fX = 0;
    fRecv.fY = 0;
    for (size_t i=0; i<256; i++) {
        fSend.fState[i] = i;
        fRecv.fState[i] = i;
    }
}

void dsRC4Socket::lockSend()
{
    fSend.fLock.lock();
}

void dsRC4Socket::lockRecv()
{
    fRecv.fLock.lock();
}

void dsRC4Socket::unlockSend()
{
    fSend.fLock.unlock();
}

void dsRC4Socket::unlockRecv()
{
    fRecv.fLock.unlock();
}
