#ifndef _DS_FILE_DATA_H
#define _DS_FILE_DATA_H

#include "../dsString.h"

class dsFileData {
protected:
    size_t fFileSize, fFilePos;
    dsUByte* fFileData;
    ENetError fStatus;

public:
    inline dsFileData();
    inline ~dsFileData();

    void read(const dsString& filename);
    void write(dsUByte* buf, size_t maxlen);

    inline ENetError getStatus() const;
    inline size_t getTotalSize() const;
    inline dsUInt32 getPos() const;
    inline void setFinished();
};

#include "dsFileData.inl"

#endif
