dsFileData::dsFileData()
          : fFileSize(0), fFilePos(0), fFileData(NULL), fStatus(kNetPending)
{ }

dsFileData::~dsFileData()
{
    if (fFileData != NULL)
        delete[] fFileData;
}

ENetError dsFileData::getStatus() const
{
    return fStatus;
}

size_t dsFileData::getTotalSize() const
{
    return fFileSize;
}

size_t dsFileData::getPos() const
{
    return fFilePos;
}

void dsFileData::setFinished()
{
    fFilePos = fFileSize;
}
