#include "../dsNetMsg.h"

enum {
    /* Client -> Server */
    kCli2Vault_PingRequest = 0, kCli2Vault_VaultNodeCreate,
    kCli2Vault_VaultNodeFetch, kCli2Vault_VaultNodeSave,
    kCli2Vault_VaultNodeDelete, kCli2Vault_VaultNodeAdd,
    kCli2Vault_VaultNodeRemove, kCli2Vault_VaultFetchNodeRefs,
    kCli2Vault_VaultNodeFind, kCli2Vault_VaultSetSeen,
    kCli2Vault_VaultSendNode,

    /* Server -> Client */
    kVault2Cli_PingReply = 0, kVault2Cli_VaultNodeCreated,
    kVault2Cli_VaultNodeFetched, kVault2Cli_VaultNodeChanged,
    kVault2Cli_VaultNodeDeleted, kVault2Cli_VaultNodeAdded,
    kVault2Cli_VaultNodeRemoved, kVault2Cli_VaultNodeRefsFetched,
    kVault2Cli_VaultNodeFindReply, kVault2Cli_VaultSaveNodeReply,
    kVault2Cli_VaultAddNodeReply, kVault2Cli_VaultRemoveNodeReply,
};

const dsNetMsg* GET_Cli2Vault(dsUInt32 msgId);
const dsNetMsg* GET_Vault2Cli(dsUInt32 msgId);
