#ifndef _DS_STATE_MGR_H
#define _DS_STATE_MGR_H

#include "dsStateDescriptor.h"
#include <map>

class dsStateMgr {
private:
    std::map<dsString, std::list<dsStateDescriptor> > fDescriptors;

public:
    void readDescriptors(const dsString& path);
    dsStateDescriptor get(const dsString& name, dsInt32 version = -1) const;
};

#include "dsStateMgr.inl"

#endif
