#ifndef _DS_SHA1_H
#define _DS_SHA1_H

#include "../dsString.h"

struct PACKED dsSha1Hash {
    dsUInt32 fData[5];

    void fromString(const dsString& src);
    dsString toString() const;
};

dsSha1Hash Sha0(const void* src, size_t len);
dsSha1Hash Sha1(const void* src, size_t len);

#endif
