#include <cstring>

dsUuid::dsUuid()
{
    memset(fData, 0, sizeof(fData));
}

dsUuid::dsUuid(const dsUByte* data)
{
    memcpy(fData, data, sizeof(fData));
}

dsUuid::dsUuid(const dsUuid& init)
{
    memcpy(fData, init.fData, sizeof(fData));
}

dsUuid& dsUuid::operator=(const dsUuid& other)
{
    memcpy(fData, other.fData, sizeof(fData));
    return *this;
}

bool dsUuid::operator==(const dsUuid& other) const
{
    return memcmp(fData, other.fData, sizeof(fData)) == 0;
}

bool dsUuid::operator!=(const dsUuid& other) const
{
    return !operator==(other);
}
