#ifndef _DS_FILE_SERVER_H
#define _DS_FILE_SERVER_H

#include "../dsSocket.h"

struct PACKED FileConnectHeader {
    dsUInt32 fHeaderSize, fBuildId, fServerType;
};

class dsFileServer {
private:
    dsAsyncSocket fSock;
    dsUInt32 fBuildId;

public:
    inline dsFileServer(dsSocket* sock);
    inline ~dsFileServer();

    static pid_t Create(dsSocket* sock);

private:
    void run();
};

#include "dsFileServer.inl"

#endif
