/* dsMfsEntry */
size_t dsMfsEntry::calcSize() const
{
    return fFilename.length() + 1
         + fDownloadName.length() + 1
         + 33 + 33         // MD5 sums, plus Z-terms
         + 3 + 3 + 3;      // Int32s, plus Z-terms
}


/* dsManifest */
dsManifest::dsManifest() : fStatus(kNetPending)
{ }

ENetError dsManifest::getStatus() const
{
    return fStatus;
}

size_t dsManifest::getNumFiles() const
{
    return fFiles.size();
}

const dsMfsEntry& dsManifest::getFile(size_t idx) const
{
    return fFiles[idx];
}
