/* dsGameComm */
dsGameComm::dsGameComm(int sock, dsGameServer* server)
          : fSock(new dsSocket(sock)), fServer(server)
{ }

void dsGameComm::finalize()
{
    fServer->destroyConnection(this);
}

void dsGameComm::sendMsg(const msgparm_t* data, const dsNetMsg* msg)
{
    fSock.sendMsg(data, msg);
}
