#include <ctime>
#include <cstring>

dsVaultNode::dsVaultNode()
           : fCreateTime(0), fModifyTime(0), fCreatorIdx(0)
{
    clearAll();
    memset(fInt32, 0, sizeof(fInt32));
    memset(fUInt32, 0, sizeof(fUInt32));
}

void dsVaultNode::setTimeNow()
{
    setCreateTime((dsUInt32)time(NULL));
    setModifyTime(fCreateTime);
}

void dsVaultNode::modifyNow()
{
    setModifyTime((dsUInt32)time(NULL));
}

void dsVaultNode::clearAll()
{
    fFieldMask = (dsUInt64)(kNodeIdx | kNodeType);
    fIdx = 0;
    fNodeType = kNodeInvalid;
}
