/* dsVaultServer */
dsVaultServer::dsVaultServer(int pipeFd)
             : fListenPipe(pipeFd)
{ }

dsVaultServer::~dsVaultServer()
{ }

dsUInt32 dsVaultServer::RootIdx()
{
    return sRootIdx;
}


/* dsVaultComm */
dsVaultComm::dsVaultComm(int sock, dsPostgres* vaultDb)
           : fSock(new dsSocket(sock)), fVaultDb(vaultDb)
{ }

void dsVaultComm::finalize()
{
    dsVaultServer::destroyConnection(this);
}

void dsVaultComm::sendMsg(const msgparm_t* data, const dsNetMsg* msg)
{
    fSock.sendMsg(data, msg);
}
