#!/usr/bin/python
import struct, binascii

def parseRefs(str):
    bytes = binascii.a2b_hex(str.replace(' ', ''))
    while len(bytes):
        print 'Parent:', struct.unpack('I', bytes[0:4])[0], ';',
        print 'Child:', struct.unpack('I', bytes[4:8])[0], ';',
        print 'Owner:', struct.unpack('I', bytes[8:12])[0], ';',
        print 'Seen: %s' % ('True' if bytes[12] else 'False')
        bytes = bytes[13:]

if __name__ == '__main__':
    import string, sys
    parseRefs(string.join(sys.argv[1:]))
